<?php
/*
Plugin Name: Hotlink Compatibility
Version: 1.0.0
Description: Update your .htaccess file to resolve your old hotlinks, useless for new users in Piwigo 2.4 or above.
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=613
Author: Piwigo Team
Author URI: http://www.piwigo.org
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

if (script_basename() == 'admin')
{
  add_event_handler('get_admin_plugin_menu_links', 'addht_plugin_admin_menu');

  function addht_plugin_admin_menu($menu)
  {
    array_push($menu, array(
      'NAME' => 'Hotlink Compatibility',
      'URL' => get_root_url().'admin.php?page=plugin-'.basename(dirname(__FILE__))
      ));
    return $menu;
  }
}

?>